/*    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package au.com.bowerbird.firecat;

import java.lang.*;
import java.io.*;
import java.net.*;

/**
 * Handles the getting of urls, email addresses etc.
 *
 * @author Matthew Parry <a href="mailto:mettw@bowerbird.com.au">mettw@bowerbird.com.au</a>
 * @since alpha-iii
 */

public class TFPgetUserInfo {
  public String getUserInfo(UserStatus us, String info) 
      throws UnknownHostException, IOException {
    Socket socket;
    TFPRecord tfpr;
    String tmp = new String();
    int index;

    index = (us.getRequestedTFA()).indexOf('#');
    tmp = (us.getRequestedTFA()).substring(index+1);

    socket = new Socket(tmp, 7173);
    tfpr = new TFPRecord(socket.getInputStream(), socket.getOutputStream());

    tfpr.PutRecord("TFP 1.3");
    tmp = tfpr.GetRecord();
    if((tmp.trim()).equalsIgnoreCase("TFP 1.3")){
	String tfa = new String();

	tfa = (us.getRequestedTFA()).substring((us.getRequestedTFA()).indexOf(':')
				      + 1);
	tfa = tfa.replace('@', '#');

	tfpr.PutRecord(info + " " + tfa);
	tmp = tfpr.GetRecord();
    }else{
      tfpr.PutRecord("SORRY 102, Unknown TFP version");
    }
    socket.close();
    return tmp;
  }
}

